Debian Bug report logs - #550476
pidgin: Crashes on exit when chat window is open

version graph

Package: pidgin-encryption; Maintainer for pidgin-encryption is Leo Costela <costela@debian.org>; Source for pidgin-encryption is src:pidgin-encryption.

Reported by: Alexander Vlasov <sachavav@tut.by>

Date: Sat, 10 Oct 2009 12:33:01 UTC

Severity: normal

Tags: help

Merged with 561235

Found in version pidgin-encryption/3.0-4

Fixed in version pidgin-encryption/3.1-1

Done: Leo Costela <costela@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#550476; Package pidgin. (Sat, 10 Oct 2009 12:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Vlasov <sachavav@tut.by>:
New Bug report received and forwarded. Copy sent to Ari Pollak <ari@debian.org>. (Sat, 10 Oct 2009 12:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Vlasov <sachavav@tut.by>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pidgin: Crashes on exit when chat window is open
Date: Sat, 10 Oct 2009 14:53:25 +0300
Package: pidgin
Version: 2.6.2-1
Severity: normal

Pidgin crashes on exit when chat window is open. If you close chat windows pidgin closes without errors.

Here's pidgin error backtrace:
Backtrace was generated from '/usr/bin/pidgin'

(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
0xb7ffb424 in __kernel_vsyscall ()
#0  0xb7ffb424 in __kernel_vsyscall ()
#1  0xb78a4e7b in waitpid () from /lib/i686/cmov/libpthread.so.0
#2  0xb7750a03 in IA__g_spawn_sync (working_directory=0x0, argv=0x95f40e8, 
    envp=0x0, flags=<value optimized out>, child_setup=0, user_data=0x0, 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, 
    error=0xbfc27b28)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/gspawn.c:386
#3  0xb7750cfc in IA__g_spawn_command_line_sync (
    command_line=0x94cec80 "bug-buddy --appname=\"pidgin\" --pid=4285", 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, 
    error=0xbfc27b28)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/gspawn.c:700
#4  0xb6d52a54 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#5  <signal handler called>
#6  0xb7709e9c in g_hash_table_lookup_node (hash_table=0x954e690, 
    key=0xae461b20, notify=1)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/ghash.c:199
#7  g_hash_table_remove_internal (hash_table=0x954e690, key=0xae461b20, 
    notify=1)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/ghash.c:974
#8  0xb6adc6b7 in ?? () from /usr/lib/pidgin/encrypt.so
#9  0xb77b1494 in IA__g_cclosure_marshal_VOID__VOID (closure=0xae470e68, 
    return_value=0x0, n_param_values=1, param_values=0x9ee1808, 
    invocation_hint=0xbfc2828c, marshal_data=0xae461b20)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gmarshal.c:77
#10 0xb77a3e43 in IA__g_closure_invoke (closure=0xae470e68, return_value=0x0, 
    n_param_values=1, param_values=0x9ee1808, invocation_hint=0xbfc2828c)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gclosure.c:767
#11 0xb77b7e5f in signal_emit_unlocked_R (node=0x91df1d0, detail=0, 
    instance=0x9dd04e0, emission_return=0x0, instance_and_params=0x9ee1808)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:3247
#12 0xb77b92a9 in IA__g_signal_emit_valist (instance=0x9dd04e0, signal_id=8, 
    detail=0, 
    var_args=0xbfc2842c "\n\346ӷp)\351\267\340\4\335\tX\204¿Q\366ӷ\340\4\335\t")
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:2980
#13 0xb77b9706 in IA__g_signal_emit (instance=0x9dd04e0, signal_id=8, 
    detail=0)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:3037
#14 0xb7c417e1 in gtk_object_dispose (gobject=0x9dd04e0)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkobject.c:421
#15 0xb7d3f651 in gtk_widget_dispose (object=0x9dd04e0)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkwidget.c:7909
#16 0xb7d4d196 in gtk_window_dispose (object=0x9dd04e0)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkwindow.c:2151
#17 0xb77a642f in IA__g_object_run_dispose (object=0x9dd04e0)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gobject.c:789
#18 0xb7c414de in IA__gtk_object_destroy (object=0x9dd04e0)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkobject.c:406
#19 0x080a1d04 in pidgin_conv_window_destroy ()
#20 0x080a1e9f in ?? ()
#21 0xb7939e7a in purple_conversation_destroy () from /usr/lib/libpurple.so.0
#22 0xb793a10a in purple_conversations_uninit () from /usr/lib/libpurple.so.0
#23 0xb793b4f5 in purple_core_quit () from /usr/lib/libpurple.so.0
#24 0xb77b1494 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9e31140, 
    return_value=0x0, n_param_values=1, param_values=0xad784d30, 
    invocation_hint=0xbfc286ec, marshal_data=0x806ddd4)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gmarshal.c:77
#25 0xb77a3e43 in IA__g_closure_invoke (closure=0x9e31140, return_value=0x0, 
    n_param_values=1, param_values=0xad784d30, invocation_hint=0xbfc286ec)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gclosure.c:767
#26 0xb77b7e5f in signal_emit_unlocked_R (node=0x91eb7b8, detail=0, 
    instance=0x9dcb9e8, emission_return=0x0, instance_and_params=0xad784d30)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:3247
#27 0xb77b92a9 in IA__g_signal_emit_valist (instance=0x9dcb9e8, signal_id=91, 
    detail=0, var_args=0xbfc2888c "z\270Ó·p)", <incomplete sequence \351\267>)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:2980
#28 0xb77b9706 in IA__g_signal_emit (instance=0x9dcb9e8, signal_id=91, 
    detail=0)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:3037
#29 0xb7d3b8f7 in IA__gtk_widget_activate (widget=0x9dcb9e8)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkwidget.c:4795
#30 0xb7c2bbe0 in IA__gtk_menu_shell_activate_item (menu_shell=0xae468500, 
    menu_item=0x9dcb9e8, force_deactivate=1)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkmenushell.c:1139
#31 0xb7c2d735 in gtk_menu_shell_button_release (widget=0xae468500, 
    event=0x9e42548)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkmenushell.c:678
#32 0xb7c2342b in gtk_menu_button_release (widget=0xae468500, event=0x9e42548)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkmenu.c:2955
#33 0xb7c1cde6 in _gtk_marshal_BOOLEAN__BOXED (closure=0x91e2780, 
    return_value=0xbfc28af0, n_param_values=2, param_values=0x9dfef90, 
    invocation_hint=0xbfc28adc, marshal_data=0xb7c23370)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkmarshalers.c:84
#34 0xb77a25c9 in g_type_class_meta_marshal (closure=0x91e2780, 
    return_value=0xbfc28af0, n_param_values=2, param_values=0x9dfef90, 
    invocation_hint=0xbfc28adc, marshal_data=0xb4)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gclosure.c:878
#35 0xb77a3e43 in IA__g_closure_invoke (closure=0x91e2780, 
    return_value=0xbfc28af0, n_param_values=2, param_values=0x9dfef90, 
    invocation_hint=0xbfc28adc)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gclosure.c:767
#36 0xb77b7b07 in signal_emit_unlocked_R (node=0x91e2090, detail=0, 
    instance=0xae468500, emission_return=0xbfc28c28, 
    instance_and_params=0x9dfef90)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:3285
#37 0xb77b913f in IA__g_signal_emit_valist (instance=0xae468500, 
    signal_id=31, detail=0, var_args=0xbfc28c80 "\230\214¿H%\344\t")
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:2990
#38 0xb77b9706 in IA__g_signal_emit (instance=0xae468500, signal_id=31, 
    detail=0)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:3037
#39 0xb7d35866 in gtk_widget_event_internal (widget=0xae468500, 
    event=0x9e42548)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkwidget.c:4764
#40 0xb7c158bc in IA__gtk_propagate_event (widget=0xae468500, event=0x9e42548)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkmain.c:2396
#41 0xb7c16bff in IA__gtk_main_do_event (event=0x9e42548)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkmain.c:1601
#42 0xb7aa58ca in gdk_event_dispatch (source=0x91cc280, callback=0, 
    user_data=0x0)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gdk/x11/gdkevents-x11.c:2367
#43 0xb7717e98 in g_main_dispatch (context=0x91cc2c8)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/gmain.c:1960
#44 IA__g_main_context_dispatch (context=0x91cc2c8)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/gmain.c:2513
#45 0xb771b623 in g_main_context_iterate (context=0x91cc2c8, block=1, 
    dispatch=1, self=0x91a0008)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/gmain.c:2591
#46 0xb771baea in IA__g_main_loop_run (loop=0x9480ce0)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/gmain.c:2799
#47 0xb7c170b9 in IA__gtk_main ()
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkmain.c:1205
#48 0x080c9ded in main ()

Thread 1 (Thread 0xb6f32750 (LWP 4285)):
#0  0xb7ffb424 in __kernel_vsyscall ()
No symbol table info available.
#1  0xb78a4e7b in waitpid () from /lib/i686/cmov/libpthread.so.0
No symbol table info available.
#2  0xb7750a03 in IA__g_spawn_sync (working_directory=0x0, argv=0x95f40e8, 
    envp=0x0, flags=<value optimized out>, child_setup=0, user_data=0x0, 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, 
    error=0xbfc27b28)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/gspawn.c:386
        outpipe = -1
        errpipe = -1
        pid = 5240
        fds = {__fds_bits = {160, 0, 8, 0, -1216794236, 0, 155804056, 
            -1077773976, -1217168927, 8, 155804056, 4, -1216794236, 0, 
            157237492, -1077773880, -1217181587, 155804056, -1217265744, 0, 
            -1217556492, -1217552032, 166376192, 10, -1077773896, 
            -1077773900, 157237480, 3, 0, 891429377, 155804056, 9111656}}
        ret = <value optimized out>
        outstr = 0x0
        errstr = 0x0
        failed = 0
        status = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_spawn_sync"
#3  0xb7750cfc in IA__g_spawn_command_line_sync (
    command_line=0x94cec80 "bug-buddy --appname=\"pidgin\" --pid=4285", 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, 
    error=0xbfc27b28)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/gspawn.c:700
        retval = 0
        argv = 0x95f40e8
        __PRETTY_FUNCTION__ = "IA__g_spawn_command_line_sync"
#4  0xb6d52a54 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#5  <signal handler called>
No symbol table info available.
#6  0xb7709e9c in g_hash_table_lookup_node (hash_table=0x954e690, 
    key=0xae461b20, notify=1)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/ghash.c:199
        node = <value optimized out>
        hash_value = 2923830048
        step = <value optimized out>
#7  g_hash_table_remove_internal (hash_table=0x954e690, key=0xae461b20, 
    notify=1)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/ghash.c:974
        node = <value optimized out>
        node_index = <value optimized out>
        __PRETTY_FUNCTION__ = "g_hash_table_remove_internal"
#8  0xb6adc6b7 in ?? () from /usr/lib/pidgin/encrypt.so
No symbol table info available.
#9  0xb77b1494 in IA__g_cclosure_marshal_VOID__VOID (closure=0xae470e68, 
    return_value=0x0, n_param_values=1, param_values=0x9ee1808, 
    invocation_hint=0xbfc2828c, marshal_data=0xae461b20)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gmarshal.c:77
        data1 = 0x9dd04e0
        data2 = 0xae461b20
        __PRETTY_FUNCTION__ = "IA__g_cclosure_marshal_VOID__VOID"
#10 0xb77a3e43 in IA__g_closure_invoke (closure=0xae470e68, return_value=0x0, 
    n_param_values=1, param_values=0x9ee1808, invocation_hint=0xbfc2828c)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gclosure.c:767
        marshal = 0x806ec34 <g_cclosure_marshal_VOID__VOID@plt>
        marshal_data = 0x0
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#11 0xb77b7e5f in signal_emit_unlocked_R (node=0x91df1d0, detail=0, 
    instance=0x9dd04e0, emission_return=0x0, instance_and_params=0x9ee1808)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:3247
        tmp = <value optimized out>
        handler = 0x95f9740
        accumulator = 0x0
        emission = {next = 0x0, instance = 0x9dd04e0, ihint = {signal_id = 8, 
            detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, 
          chain_type = 4}
        class_closure = 0x91df188
        handler_list = 0x95f9740
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
              v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 8
        max_sequential_handler_number = 8858
        return_value_altered = 0
#12 0xb77b92a9 in IA__g_signal_emit_valist (instance=0x9dd04e0, signal_id=8, 
    detail=0, 
    var_args=0xbfc2842c "\n\346ӷp)\351\267\340\4\335\tX\204¿Q\366ӷ\340\4\335\t")
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:2980
        signal_return_type = 4
        param_values = 0x9ee181c
        node = 0x91df1d0
        i = 1
        n_params = 0
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#13 0xb77b9706 in IA__g_signal_emit (instance=0x9dd04e0, signal_id=8, 
    detail=0)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:3037
No locals.
#14 0xb7c417e1 in gtk_object_dispose (gobject=0x9dd04e0)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkobject.c:421
No locals.
#15 0xb7d3f651 in gtk_widget_dispose (object=0x9dd04e0)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkwidget.c:7909
No locals.
#16 0xb7d4d196 in gtk_window_dispose (object=0x9dd04e0)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkwindow.c:2151
No locals.
#17 0xb77a642f in IA__g_object_run_dispose (object=0x9dd04e0)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gobject.c:789
        __PRETTY_FUNCTION__ = "IA__g_object_run_dispose"
#18 0xb7c414de in IA__gtk_object_destroy (object=0x9dd04e0)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkobject.c:406
        __PRETTY_FUNCTION__ = "IA__gtk_object_destroy"
#19 0x080a1d04 in pidgin_conv_window_destroy ()
No symbol table info available.
#20 0x080a1e9f in ?? ()
No symbol table info available.
#21 0xb7939e7a in purple_conversation_destroy () from /usr/lib/libpurple.so.0
No symbol table info available.
#22 0xb793a10a in purple_conversations_uninit () from /usr/lib/libpurple.so.0
No symbol table info available.
#23 0xb793b4f5 in purple_core_quit () from /usr/lib/libpurple.so.0
No symbol table info available.
#24 0xb77b1494 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9e31140, 
    return_value=0x0, n_param_values=1, param_values=0xad784d30, 
    invocation_hint=0xbfc286ec, marshal_data=0x806ddd4)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gmarshal.c:77
        data1 = 0x9dcb9e8
        data2 = 0xae461b20
        __PRETTY_FUNCTION__ = "IA__g_cclosure_marshal_VOID__VOID"
#25 0xb77a3e43 in IA__g_closure_invoke (closure=0x9e31140, return_value=0x0, 
    n_param_values=1, param_values=0xad784d30, invocation_hint=0xbfc286ec)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gclosure.c:767
        marshal = 0x806ec34 <g_cclosure_marshal_VOID__VOID@plt>
        marshal_data = 0x0
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#26 0xb77b7e5f in signal_emit_unlocked_R (node=0x91eb7b8, detail=0, 
    instance=0x9dcb9e8, emission_return=0x0, instance_and_params=0xad784d30)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:3247
        tmp = <value optimized out>
        handler = 0x9e1c860
        accumulator = 0x0
        emission = {next = 0xbfc28ad4, instance = 0x9dcb9e8, ihint = {
            signal_id = 91, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, 
          state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x91ea9e0
        handler_list = 0x9e1c860
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
              v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 91
        max_sequential_handler_number = 8812
        return_value_altered = 1
#27 0xb77b92a9 in IA__g_signal_emit_valist (instance=0x9dcb9e8, signal_id=91, 
    detail=0, var_args=0xbfc2888c "z\270Ó·p)", <incomplete sequence \351\267>)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:2980
        signal_return_type = 4
        param_values = 0xad784d44
        node = 0x91eb7b8
        i = 166208768
        n_params = 0
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#28 0xb77b9706 in IA__g_signal_emit (instance=0x9dcb9e8, signal_id=91, 
    detail=0)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:3037
No locals.
#29 0xb7d3b8f7 in IA__gtk_widget_activate (widget=0x9dcb9e8)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkwidget.c:4795
        __PRETTY_FUNCTION__ = "IA__gtk_widget_activate"
#30 0xb7c2bbe0 in IA__gtk_menu_shell_activate_item (menu_shell=0xae468500, 
    menu_item=0x9dcb9e8, force_deactivate=1)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkmenushell.c:1139
        slist = <value optimized out>
        shells = 0x95770b0
        __PRETTY_FUNCTION__ = "IA__gtk_menu_shell_activate_item"
#31 0xb7c2d735 in gtk_menu_shell_button_release (widget=0xae468500, 
    event=0x9e42548)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkmenushell.c:678
        submenu = 0x0
        menu_item = 0x9dcb9e8
        deactivate = <value optimized out>
#32 0xb7c2342b in gtk_menu_button_release (widget=0xae468500, event=0x9e42548)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkmenu.c:2955
        priv = <value optimized out>
#33 0xb7c1cde6 in _gtk_marshal_BOOLEAN__BOXED (closure=0x91e2780, 
    return_value=0xbfc28af0, n_param_values=2, param_values=0x9dfef90, 
    invocation_hint=0xbfc28adc, marshal_data=0xb7c23370)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkmarshalers.c:84
        data1 = 0xae468500
        data2 = <value optimized out>
        v_return = <value optimized out>
        __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#34 0xb77a25c9 in g_type_class_meta_marshal (closure=0x91e2780, 
    return_value=0xbfc28af0, n_param_values=2, param_values=0x9dfef90, 
    invocation_hint=0xbfc28adc, marshal_data=0xb4)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gclosure.c:878
        callback = <value optimized out>
#35 0xb77a3e43 in IA__g_closure_invoke (closure=0x91e2780, 
    return_value=0xbfc28af0, n_param_values=2, param_values=0x9dfef90, 
    invocation_hint=0xbfc28adc)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gclosure.c:767
        marshal = 0xb77a2580 <g_type_class_meta_marshal>
        marshal_data = 0xb4
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#36 0xb77b7b07 in signal_emit_unlocked_R (node=0x91e2090, detail=0, 
    instance=0xae468500, emission_return=0xbfc28c28, 
    instance_and_params=0x9dfef90)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:3285
        accumulator = 0x91e1fe8
        emission = {next = 0x0, instance = 0xae468500, ihint = {
            signal_id = 31, detail = 0, run_type = G_SIGNAL_RUN_LAST}, 
          state = EMISSION_RUN, chain_type = 152963416}
        class_closure = 0x91e2780
        handler_list = 0x0
        return_accu = 0xbfc28af0
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
              v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 31
        max_sequential_handler_number = 8812
        return_value_altered = 0
#37 0xb77b913f in IA__g_signal_emit_valist (instance=0xae468500, 
    signal_id=31, detail=0, var_args=0xbfc28c80 "\230\214¿H%\344\t")
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:2990
        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
              v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, 
              v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, 
              v_float = 0, v_double = 0, v_pointer = 0x0}}}
        error = <value optimized out>
        signal_return_type = 20
        param_values = 0x9dfefa4
        node = 0x91e2090
        i = 1
        n_params = 1
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#38 0xb77b9706 in IA__g_signal_emit (instance=0xae468500, signal_id=31, 
    detail=0)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/gobject/gsignal.c:3037
No locals.
#39 0xb7d35866 in gtk_widget_event_internal (widget=0xae468500, 
    event=0x9e42548)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkwidget.c:4764
        signal_num = <value optimized out>
        return_val = 0
#40 0xb7c158bc in IA__gtk_propagate_event (widget=0xae468500, event=0x9e42548)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkmain.c:2396
        tmp = 0xae468500
        handled_event = 0
        __PRETTY_FUNCTION__ = "IA__gtk_propagate_event"
#41 0xb7c16bff in IA__gtk_main_do_event (event=0x9e42548)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkmain.c:1601
        event_widget = 0x9dcb9e8
        grab_widget = 0x9dcb9e8
        window_group = 0x944c3d0
        rewritten_event = 0x0
        tmp_list = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
#42 0xb7aa58ca in gdk_event_dispatch (source=0x91cc280, callback=0, 
    user_data=0x0)
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gdk/x11/gdkevents-x11.c:2367
        display = <value optimized out>
        event = <value optimized out>
#43 0xb7717e98 in g_main_dispatch (context=0x91cc2c8)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/gmain.c:1960
        __PRETTY_FUNCTION__ = "g_main_dispatch"
#44 IA__g_main_context_dispatch (context=0x91cc2c8)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/gmain.c:2513
No locals.
#45 0xb771b623 in g_main_context_iterate (context=0x91cc2c8, block=1, 
    dispatch=1, self=0x91a0008)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/gmain.c:2591
        max_priority = 2147483647
        timeout = 2903
        some_ready = 1
        nfds = 10
        allocated_nfds = <value optimized out>
        fds = 0x9ea6d68
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#46 0xb771baea in IA__g_main_loop_run (loop=0x9480ce0)
    at /build/buildd-glib2.0_2.22.0-1-i386-YCLGRR/glib2.0-2.22.0/glib/gmain.c:2799
        self = 0x91a0008
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#47 0xb7c170b9 in IA__gtk_main ()
    at /build/buildd-gtk+2.0_2.16.6-1-i386-h0gBWB/gtk+2.0-2.16.6/gtk/gtkmain.c:1205
        tmp_list = 0x0
        functions = 0x0
        init = 0x0
        loop = 0x9480ce0
#48 0x080c9ded in main ()
No symbol table info available.
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/2 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pidgin depends on:
ii  gconf2                 2.26.2-3          GNOME configuration database syste
ii  libatk1.0-0            1.28.0-1          The ATK accessibility toolkit
ii  libc6                  2.9-25            GNU C Library: Shared libraries
ii  libcairo2              1.8.8-2           The Cairo 2D vector graphics libra
ii  libdbus-1-3            1.2.16-2          simple interprocess messaging syst
ii  libdbus-glib-1-2       0.82-1            simple interprocess messaging syst
ii  libfontconfig1         2.6.0-4           generic font configuration library
ii  libfreetype6           2.3.9-5           FreeType 2 font engine, shared lib
ii  libglib2.0-0           2.22.0-1          The GLib library of C routines
ii  libgstreamer0.10-0     0.10.24-1         Core GStreamer libraries and eleme
ii  libgtk2.0-0            2.16.6-1          The GTK+ graphical user interface 
ii  libgtkspell0           2.0.13-2          a spell-checking addon for GTK's T
ii  libice6                2:1.0.5-1         X11 Inter-Client Exchange library
ii  libpango1.0-0          1.26.0-1          Layout and rendering of internatio
ii  libpurple0             2.6.2-1           multi-protocol instant messaging l
ii  libsm6                 2:1.1.1-1         X11 Session Management library
ii  libstartup-notificatio 0.10-1            library for program launch feedbac
ii  libx11-6               2:1.2.2-1         X11 client-side library
ii  libxml2                2.7.5.dfsg-1      GNOME XML library
ii  libxss1                1:1.1.3-1         X11 Screen Saver extension library
ii  perl                   5.10.0-25         Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.1 5.10.0-25         minimal Perl system
ii  pidgin-data            2.6.2-1           multi-protocol instant messaging c
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

Versions of packages pidgin recommends:
ii  gstreamer0.10-plugins-base    0.10.24-2  GStreamer plugins from the "base" 
ii  gstreamer0.10-plugins-good    0.10.16-1  GStreamer plugins from the "good" 

Versions of packages pidgin suggests:
ii  evolution-data-server        2.26.3-1+b1 evolution database backend server
ii  gnome-panel                  2.26.3-1    launcher and docking facility for 
ii  libsqlite3-0                 3.6.18-1    SQLite 3 shared library

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#550476; Package pidgin. (Tue, 10 Nov 2009 23:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ari Pollak <ari@debian.org>:
Extra info received and forwarded to list. (Tue, 10 Nov 2009 23:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 550476@bugs.debian.org (full text, mbox):

From: Ari Pollak <ari@debian.org>
To: Alexander Vlasov <sachavav@tut.by>, 550476@bugs.debian.org
Subject: Re: Bug#550476: pidgin: Crashes on exit when chat window is open
Date: Tue, 10 Nov 2009 18:32:00 -0500
Could you install pidgin-dbg and get another backtrace?





Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#550476; Package pidgin. (Sun, 15 Nov 2009 14:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander <sachavav@tut.by>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. (Sun, 15 Nov 2009 14:27:06 GMT) Full text and rfc822 format available.

Message #15 received at 550476@bugs.debian.org (full text, mbox):

From: Alexander <sachavav@tut.by>
To: Ari Pollak <ari@debian.org>
Cc: 550476@bugs.debian.org
Subject: Re: Bug#550476: pidgin: Crashes on exit when chat window is open
Date: Sun, 15 Nov 2009 16:22:17 +0200
Here's backtrace with pidgin-dbg:

System: Linux 2.6.30-2-686 #1 SMP Sat Sep 26 01:16:22 UTC 2009 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10605000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Clearlooks
Icon Theme: gnome
GTK+ Modules: gnomebreakpad, canberra-gtk-module

Memory status: size: 86204416 vsize: 86204416 resident: 45314048 share:
19787776 rss: 45314048 rss_rlim: 18446744073709551615
CPU usage: start_time: 1258293107 rtime: 265 utime: 240 stime: 25
cutime:17 cstime: 15 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/pidgin'

[Thread debugging using libthread_db enabled]
0xb7fe4424 in __kernel_vsyscall ()
#0  0xb7fe4424 in __kernel_vsyscall ()
#1  0xb786fef3 in __waitpid_nocancel () from /lib/i686/cmov/libpthread.so.0
#2  0xb771aa03 in IA__g_spawn_sync (working_directory=0x0, argv=0x8521200,
    envp=0x0, flags=<value optimized out>, child_setup=0, user_data=0x0,
    standard_output=0x0, standard_error=0x0, exit_status=0x0,
    error=0xbfb53508)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/gspawn.c:386
#3  0xb771acfc in IA__g_spawn_command_line_sync (
    command_line=0x866b810 "bug-buddy --appname=\"pidgin\" --pid=5945",
    standard_output=0x0, standard_error=0x0, exit_status=0x0,
    error=0xbfb53508)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/gspawn.c:700
#4  0xb7fcfa54 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#5  <signal handler called>
#6  0xb76d3e9c in g_hash_table_lookup_node (hash_table=0x85e96c0,
    key=0x8f79a98, notify=1)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/ghash.c:199
#7  g_hash_table_remove_internal (hash_table=0x85e96c0, key=0x8f79a98,
    notify=1)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/ghash.c:974
#8  0xb6ab76b7 in ?? () from /usr/lib/pidgin/encrypt.so
#9  0xb777b544 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9729920,
    return_value=0x0, n_param_values=1, param_values=0x8644600,
    invocation_hint=0xbfb53c6c, marshal_data=0x8f79a98)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gmarshal.c:77
#10 0xb776dde3 in IA__g_closure_invoke (closure=0x9729920,
return_value=0x0,
    n_param_values=1, param_values=0x8644600, invocation_hint=0xbfb53c6c)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gclosure.c:767
#11 0xb7781f0f in signal_emit_unlocked_R (node=0x827a3a0, detail=0,
    instance=0x8e6ddc0, emission_return=0x0, instance_and_params=0x8644600)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:3247
#12 0xb7783359 in IA__g_signal_emit_valist (instance=0x8e6ddc0,
signal_id=11,
    detail=0,
    var_args=0xbfb53e0c
"\344\271\347\267\344\271\347\267\300\335\346\b8>\265\277\061\rÒ·\300\335\346\b")
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:2980
#13 0xb77837b6 in IA__g_signal_emit (instance=0x8e6ddc0, signal_id=11,
    detail=0)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:3037
#14 0xb7c1fb01 in gtk_object_dispose (gobject=0x8e6ddc0)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkobject.c:421
#15 0xb7d20d31 in gtk_widget_dispose (object=0x8e6ddc0)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkwidget.c:8370
#16 0xb7d2ea36 in gtk_window_dispose (object=0x8e6ddc0)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkwindow.c:2151
#17 0xb77703ef in IA__g_object_run_dispose (object=0x8e6ddc0)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gobject.c:815
#18 0xb7c1f7fe in IA__gtk_object_destroy (object=0x8e6ddc0)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkobject.c:406
#19 0x080a1cf4 in pidgin_conv_window_destroy (win=0x8f79a98)
    at
/build/buildd-pidgin_2.6.3-1-i386-7msLBa/pidgin-2.6.3/./pidgin/gtkconv.c:9376
#20 0x080a1e8f in pidgin_conv_destroy (conv=0x8f1a748)
    at
/build/buildd-pidgin_2.6.3-1-i386-7msLBa/pidgin-2.6.3/./pidgin/gtkconv.c:5497
#21 0xb7904eaa in purple_conversation_destroy (conv=0x8f1a748)
    at
/build/buildd-pidgin_2.6.3-1-i386-7msLBa/pidgin-2.6.3/./libpurple/conversation.c:577
#22 0xb790513a in purple_conversations_uninit ()
    at
/build/buildd-pidgin_2.6.3-1-i386-7msLBa/pidgin-2.6.3/./libpurple/conversation.c:2553
#23 0xb7906525 in purple_core_quit ()
    at
/build/buildd-pidgin_2.6.3-1-i386-7msLBa/pidgin-2.6.3/./libpurple/core.c:230
#24 0xb777b544 in IA__g_cclosure_marshal_VOID__VOID (closure=0x8ebd3c8,
    return_value=0x0, n_param_values=1, param_values=0x846f408,
    invocation_hint=0xbfb540cc, marshal_data=0x806ddd4)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gmarshal.c:77
#25 0xb776dde3 in IA__g_closure_invoke (closure=0x8ebd3c8,
return_value=0x0,
    n_param_values=1, param_values=0x846f408, invocation_hint=0xbfb540cc)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gclosure.c:767
#26 0xb7781f0f in signal_emit_unlocked_R (node=0x827bcb0, detail=0,
    instance=0x8e68678, emission_return=0x0, instance_and_params=0x846f408)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:3247
#27 0xb7783359 in IA__g_signal_emit_valist (instance=0x8e68678,
signal_id=94,
    detail=0, var_args=0xbfb5426c "\344\271", <incomplete sequence
\347\267>)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:2980
#28 0xb77837b6 in IA__g_signal_emit (instance=0x8e68678, signal_id=94,
    detail=0)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:3037
#29 0xb7d1ce75 in IA__gtk_widget_activate (widget=0x8e68678)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkwidget.c:4798
#30 0xb7c08eb0 in IA__gtk_menu_shell_activate_item (menu_shell=0x9731230,
    menu_item=0x8e68678, force_deactivate=1)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkmenushell.c:1139
#31 0xb7c0aa05 in gtk_menu_shell_button_release (widget=0x9731230,
    event=0x973e6e8)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkmenushell.c:678
#32 0xb7c0066b in gtk_menu_button_release (widget=0x9731230,
event=0x973e6e8)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkmenu.c:2983
#33 0xb7bf9f66 in _gtk_marshal_BOOLEAN__BOXED (closure=0x827ddb8,
    return_value=0xbfb544d0, n_param_values=2, param_values=0x854b968,
    invocation_hint=0xbfb544bc, marshal_data=0xb7c005b0)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkmarshalers.c:84
#34 0xb776c569 in g_type_class_meta_marshal (closure=0x827ddb8,
    return_value=0xbfb544d0, n_param_values=2, param_values=0x854b968,
    invocation_hint=0xbfb544bc, marshal_data=0xb4)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gclosure.c:878
#35 0xb776dde3 in IA__g_closure_invoke (closure=0x827ddb8,
    return_value=0xbfb544d0, n_param_values=2, param_values=0x854b968,
    invocation_hint=0xbfb544bc)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gclosure.c:767
#36 0xb7781bb7 in signal_emit_unlocked_R (node=0x827dea0, detail=0,
    instance=0x9731230, emission_return=0xbfb54608,
    instance_and_params=0x854b968)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:3285
#37 0xb77831ef in IA__g_signal_emit_valist (instance=0x9731230,
signal_id=34,
    detail=0,
    var_args=0xbfb54660
"xF\265\277\350\346s\t0\022s\t\017\320Ñ·0\022s\t@\233'\b")
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:2990
#38 0xb77837b6 in IA__g_signal_emit (instance=0x9731230, signal_id=34,
    detail=0)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:3037
#39 0xb7d161b6 in gtk_widget_event_internal (widget=0x9731230,
    event=0x973e6e8)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkwidget.c:4767
#40 0xb7bf26fc in IA__gtk_propagate_event (widget=0x9731230,
event=0x973e6e8)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkmain.c:2417
#41 0xb7bf3a4f in IA__gtk_main_do_event (event=0x973e6e8)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkmain.c:1622
#42 0xb7a7c57a in gdk_event_dispatch (source=0x8267c58, callback=0,
    user_data=0x0)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gdk/x11/gdkevents-x11.c:2369
#43 0xb76e1e98 in g_main_dispatch (context=0x8267ca0)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/gmain.c:1960
#44 IA__g_main_context_dispatch (context=0x8267ca0)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/gmain.c:2513
#45 0xb76e5623 in g_main_context_iterate (context=0x8267ca0, block=1,
    dispatch=1, self=0x823a008)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/gmain.c:2591
#46 0xb76e5aea in IA__g_main_loop_run (loop=0x8eaf438)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/gmain.c:2799
#47 0xb7bf3f09 in IA__gtk_main ()
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkmain.c:1218
#48 0x080c9ded in main (argc=)
    at
/build/buildd-pidgin_2.6.3-1-i386-7msLBa/pidgin-2.6.3/./pidgin/gtkmain.c:916

Thread 1 (Thread 0xb6f15750 (LWP 5945)):
#0  0xb7fe4424 in __kernel_vsyscall ()
No symbol table info available.
#1  0xb786fef3 in __waitpid_nocancel () from /lib/i686/cmov/libpthread.so.0
No symbol table info available.
#2  0xb771aa03 in IA__g_spawn_sync (working_directory=0x0, argv=0x8521200,
    envp=0x0, flags=<value optimized out>, child_setup=0, user_data=0x0,
    standard_output=0x0, standard_error=0x0, exit_status=0x0,
    error=0xbfb53508)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/gspawn.c:386
        outpipe = -1
        errpipe = -1
        pid = 5995
        fds = {__fds_bits = {160, 0, 8, 0, -1217015420, 0, 139598048,
            -1078643896, -1217390111, 8, 139598048, 4, -1217015420, 0,
            139596300, -1078643800, -1217402771, 139598048, -1217486928, 0,
            -1217486806, 150103024, -1217777676, 10, -1078643816,
            -1078643820, 139596288, 3, 0, 891429377, 139598048, 8894568}}
        ret = <value optimized out>
        outstr = 0x0
        errstr = 0x0
        failed = 0
        status = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_spawn_sync"
#3  0xb771acfc in IA__g_spawn_command_line_sync (
    command_line=0x866b810 "bug-buddy --appname=\"pidgin\" --pid=5945",
    standard_output=0x0, standard_error=0x0, exit_status=0x0,
    error=0xbfb53508)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/gspawn.c:700
        retval = 0
        argv = 0x8521200
        __PRETTY_FUNCTION__ = "IA__g_spawn_command_line_sync"
#4  0xb7fcfa54 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#5  <signal handler called>
No symbol table info available.
#6  0xb76d3e9c in g_hash_table_lookup_node (hash_table=0x85e96c0,
    key=0x8f79a98, notify=1)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/ghash.c:199
        node = <value optimized out>
        hash_value = 150444696
        step = <value optimized out>
#7  g_hash_table_remove_internal (hash_table=0x85e96c0, key=0x8f79a98,
    notify=1)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/ghash.c:974
        node = <value optimized out>
        node_index = <value optimized out>
        __PRETTY_FUNCTION__ = "g_hash_table_remove_internal"
#8  0xb6ab76b7 in ?? () from /usr/lib/pidgin/encrypt.so
No symbol table info available.
#9  0xb777b544 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9729920,
    return_value=0x0, n_param_values=1, param_values=0x8644600,
    invocation_hint=0xbfb53c6c, marshal_data=0x8f79a98)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gmarshal.c:77
        data1 = 0x8e6ddc0
        data2 = 0x8f79a98
        __PRETTY_FUNCTION__ = "IA__g_cclosure_marshal_VOID__VOID"
#10 0xb776dde3 in IA__g_closure_invoke (closure=0x9729920,
return_value=0x0,
    n_param_values=1, param_values=0x8644600, invocation_hint=0xbfb53c6c)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gclosure.c:767
        marshal = 0x806ec34 <g_cclosure_marshal_VOID__VOID@plt>
        marshal_data = 0x0
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#11 0xb7781f0f in signal_emit_unlocked_R (node=0x827a3a0, detail=0,
    instance=0x8e6ddc0, emission_return=0x0, instance_and_params=0x8644600)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:3247
        tmp = <value optimized out>
        handler = 0x8696f20
        accumulator = 0x0
        emission = {next = 0x0, instance = 0x8e6ddc0, ihint = {
            signal_id = 11, detail = 0, run_type = G_SIGNAL_RUN_FIRST},
          state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x827a358
        handler_list = 0x8696f20
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0,
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0,
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0,
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0,
              v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 11
        max_sequential_handler_number = 7023
        return_value_altered = 0
#12 0xb7783359 in IA__g_signal_emit_valist (instance=0x8e6ddc0,
signal_id=11,
    detail=0,
    var_args=0xbfb53e0c
"\344\271\347\267\344\271\347\267\300\335\346\b8>\265\277\061\rÒ·\300\335\346\b")
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:2980
        signal_return_type = 4
        param_values = 0x8644614
        node = 0x827a3a0
        i = 1
        n_params = 0
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#13 0xb77837b6 in IA__g_signal_emit (instance=0x8e6ddc0, signal_id=11,
    detail=0)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:3037
No locals.
#14 0xb7c1fb01 in gtk_object_dispose (gobject=0x8e6ddc0)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkobject.c:421
No locals.
#15 0xb7d20d31 in gtk_widget_dispose (object=0x8e6ddc0)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkwidget.c:8370
No locals.
#16 0xb7d2ea36 in gtk_window_dispose (object=0x8e6ddc0)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkwindow.c:2151
No locals.
#17 0xb77703ef in IA__g_object_run_dispose (object=0x8e6ddc0)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gobject.c:815
        __PRETTY_FUNCTION__ = "IA__g_object_run_dispose"
#18 0xb7c1f7fe in IA__gtk_object_destroy (object=0x8e6ddc0)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkobject.c:406
        __PRETTY_FUNCTION__ = "IA__gtk_object_destroy"
#19 0x080a1cf4 in pidgin_conv_window_destroy (win=0x8f79a98)
    at
/build/buildd-pidgin_2.6.3-1-i386-7msLBa/pidgin-2.6.3/./pidgin/gtkconv.c:9376
No locals.
#20 0x080a1e8f in pidgin_conv_destroy (conv=0x8f1a748)
    at
/build/buildd-pidgin_2.6.3-1-i386-7msLBa/pidgin-2.6.3/./pidgin/gtkconv.c:5497
        gtkconv = 0x8f60740
#21 0xb7904eaa in purple_conversation_destroy (conv=0x8f1a748)
    at
/build/buildd-pidgin_2.6.3-1-i386-7msLBa/pidgin-2.6.3/./libpurple/conversation.c:577
        ops = 0x811fd00
        gc = 0x0
        name = 0x8eef0f0 "\360\277)\bP\f\366\b\020"
        hc = {type = PURPLE_CONV_TYPE_IM, name = 0xb62013c0 "223274026",
          account = 0x8314808}
        __PRETTY_FUNCTION__ = "purple_conversation_destroy"
#22 0xb790513a in purple_conversations_uninit ()
    at
/build/buildd-pidgin_2.6.3-1-i386-7msLBa/pidgin-2.6.3/./libpurple/conversation.c:2553
No locals.
#23 0xb7906525 in purple_core_quit ()
    at
/build/buildd-pidgin_2.6.3-1-i386-7msLBa/pidgin-2.6.3/./libpurple/core.c:230
        ops = <value optimized out>
        core = <value optimized out>
        __PRETTY_FUNCTION__ = "purple_core_quit"
#24 0xb777b544 in IA__g_cclosure_marshal_VOID__VOID (closure=0x8ebd3c8,
    return_value=0x0, n_param_values=1, param_values=0x846f408,
    invocation_hint=0xbfb540cc, marshal_data=0x806ddd4)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gmarshal.c:77
        data1 = 0x8e68678
        data2 = 0x8f79a98
        __PRETTY_FUNCTION__ = "IA__g_cclosure_marshal_VOID__VOID"
#25 0xb776dde3 in IA__g_closure_invoke (closure=0x8ebd3c8,
return_value=0x0,
    n_param_values=1, param_values=0x846f408, invocation_hint=0xbfb540cc)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gclosure.c:767
        marshal = 0x806ec34 <g_cclosure_marshal_VOID__VOID@plt>
        marshal_data = 0x0
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#26 0xb7781f0f in signal_emit_unlocked_R (node=0x827bcb0, detail=0,
    instance=0x8e68678, emission_return=0x0, instance_and_params=0x846f408)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:3247
        tmp = <value optimized out>
        handler = 0x854dda0
        accumulator = 0x0
        emission = {next = 0xbfb544b4, instance = 0x8e68678, ihint = {
            signal_id = 94, detail = 0, run_type = G_SIGNAL_RUN_FIRST},
          state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x827bc60
        handler_list = 0x854dda0
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0,
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0,
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0,
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0,
              v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 94
        max_sequential_handler_number = 6995
        return_value_altered = 1
#27 0xb7783359 in IA__g_signal_emit_valist (instance=0x8e68678,
signal_id=94,
    detail=0, var_args=0xbfb5426c "\344\271", <incomplete sequence
\347\267>)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:2980
        signal_return_type = 4
        param_values = 0x846f41c
        node = 0x827bcb0
        i = 3076321197
        n_params = 0
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#28 0xb77837b6 in IA__g_signal_emit (instance=0x8e68678, signal_id=94,
    detail=0)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:3037
No locals.
#29 0xb7d1ce75 in IA__gtk_widget_activate (widget=0x8e68678)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkwidget.c:4798
        __PRETTY_FUNCTION__ = "IA__gtk_widget_activate"
#30 0xb7c08eb0 in IA__gtk_menu_shell_activate_item (menu_shell=0x9731230,
    menu_item=0x8e68678, force_deactivate=1)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkmenushell.c:1139
        slist = <value optimized out>
        shells = 0x85484b8
        __PRETTY_FUNCTION__ = "IA__gtk_menu_shell_activate_item"
#31 0xb7c0aa05 in gtk_menu_shell_button_release (widget=0x9731230,
    event=0x973e6e8)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkmenushell.c:678
        submenu = 0x0
        menu_item = 0x8e68678
        deactivate = <value optimized out>
#32 0xb7c0066b in gtk_menu_button_release (widget=0x9731230,
event=0x973e6e8)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkmenu.c:2983
        priv = <value optimized out>
#33 0xb7bf9f66 in _gtk_marshal_BOOLEAN__BOXED (closure=0x827ddb8,
    return_value=0xbfb544d0, n_param_values=2, param_values=0x854b968,
    invocation_hint=0xbfb544bc, marshal_data=0xb7c005b0)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkmarshalers.c:84
        data1 = 0x9731230
        data2 = <value optimized out>
        v_return = <value optimized out>
        __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#34 0xb776c569 in g_type_class_meta_marshal (closure=0x827ddb8,
    return_value=0xbfb544d0, n_param_values=2, param_values=0x854b968,
    invocation_hint=0xbfb544bc, marshal_data=0xb4)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gclosure.c:878
        callback = <value optimized out>
#35 0xb776dde3 in IA__g_closure_invoke (closure=0x827ddb8,
    return_value=0xbfb544d0, n_param_values=2, param_values=0x854b968,
    invocation_hint=0xbfb544bc)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gclosure.c:767
        marshal = 0xb776c520 <g_type_class_meta_marshal>
        marshal_data = 0xb4
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#36 0xb7781bb7 in signal_emit_unlocked_R (node=0x827dea0, detail=0,
    instance=0x9731230, emission_return=0xbfb54608,
    instance_and_params=0x854b968)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:3285
        accumulator = 0x827df00
        emission = {next = 0x0, instance = 0x9731230, ihint = {
            signal_id = 34, detail = 0, run_type = G_SIGNAL_RUN_LAST},
          state = EMISSION_RUN, chain_type = 136833240}
        class_closure = 0x827ddb8
        handler_list = 0x0
        return_accu = 0xbfb544d0
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0,
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0,
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0,
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0,
              v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 34
        max_sequential_handler_number = 6995
        return_value_altered = 0
#37 0xb77831ef in IA__g_signal_emit_valist (instance=0x9731230,
signal_id=34,
    detail=0,
    var_args=0xbfb54660
"xF\265\277\350\346s\t0\022s\t\017\320Ñ·0\022s\t@\233'\b")
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:2990
        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0,
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0,
              v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0,
              v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64
= 0,
              v_float = 0, v_double = 0, v_pointer = 0x0}}}
        error = <value optimized out>
        signal_return_type = 20
        param_values = 0x854b97c
        node = 0x827dea0
        i = 1
        n_params = 1
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#38 0xb77837b6 in IA__g_signal_emit (instance=0x9731230, signal_id=34,
    detail=0)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/gobject/gsignal.c:3037
No locals.
#39 0xb7d161b6 in gtk_widget_event_internal (widget=0x9731230,
    event=0x973e6e8)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkwidget.c:4767
        signal_num = <value optimized out>
        return_val = 0
#40 0xb7bf26fc in IA__gtk_propagate_event (widget=0x9731230,
event=0x973e6e8)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkmain.c:2417
        tmp = 0x9731230
        handled_event = 0
        __PRETTY_FUNCTION__ = "IA__gtk_propagate_event"
#41 0xb7bf3a4f in IA__gtk_main_do_event (event=0x973e6e8)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkmain.c:1622
        event_widget = 0x8e68678
        grab_widget = 0x8e68678
        window_group = 0x84e8d60
        rewritten_event = 0x0
        tmp_list = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
#42 0xb7a7c57a in gdk_event_dispatch (source=0x8267c58, callback=0,
    user_data=0x0)
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gdk/x11/gdkevents-x11.c:2369
        display = <value optimized out>
        event = <value optimized out>
#43 0xb76e1e98 in g_main_dispatch (context=0x8267ca0)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/gmain.c:1960
        __PRETTY_FUNCTION__ = "g_main_dispatch"
#44 IA__g_main_context_dispatch (context=0x8267ca0)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/gmain.c:2513
No locals.
#45 0xb76e5623 in g_main_context_iterate (context=0x8267ca0, block=1,
    dispatch=1, self=0x823a008)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/gmain.c:2591
        max_priority = 2147483647
        timeout = 1230
        some_ready = 1
        nfds = 7
        allocated_nfds = <value optimized out>
        fds = 0x8ec9458
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#46 0xb76e5aea in IA__g_main_loop_run (loop=0x8eaf438)
    at
/build/buildd-glib2.0_2.22.2-2-i386-R8GTDn/glib2.0-2.22.2/glib/gmain.c:2799
        self = 0x823a008
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#47 0xb7bf3f09 in IA__gtk_main ()
    at
/build/buildd-gtk+2.0_2.18.3-1-i386-YrT8XN/gtk+2.0-2.18.3/gtk/gtkmain.c:1218
        tmp_list = 0x0
        functions = 0x0
        init = 0x0
        loop = 0x8eaf438
#48 0x080c9ded in main (argc=)
    at
/build/buildd-pidgin_2.6.3-1-i386-7msLBa/pidgin-2.6.3/./pidgin/gtkmain.c:916
        opt_force_online = 0
        opt_help = <value optimized out>
        opt_login = 0
        opt_nologin = 0
        opt_version = 0
        opt_si = 1
        opt_config_dir_arg = 0x0
        opt_login_arg = 0x0
        opt_session_arg = 0x0
        accounts = <value optimized out>
        sig_indx = <value optimized out>
        sigset = {__val = {82951, 0 <repeats 31 times>}}
        prev_sig_disp = 0x8f79a98
        errmsg =
"\303h\265\277\274h\265\277\261\241\377\267\310%\000\270\000\020\000\000\001\000\000\000\000\000\000\000@B\002\000\364\037\000\270\364\037\000\270\005\000\000\000\004\000\000\000,I\265\277\345\242\377\267\b\000\000\000\024\000\000\000x\343\363\266\320h\265\277\233\031\377\267\220\343\363\266x\343\363\266\024",
'\000' <repeats 19 times>"\220,
\033F\267(KG\267P8\376\267\030\273\207\267", '\000' <repeats 12
times>"\303,
h\265\277\274h\265\277\261\241\377\267\310%\000\270C\000\000\000`\000\000\000\000\000\000\000\071\000\000\000\364\037\000\270\364\037\000\270\005\000\000\000\004\000\000\000\260I\265\277\345\242\377\267\b\000\000\000\024\000\000\000H\343\363\266\320h\265\277\233\031\377\267`\343\363\266H\343\363\266\024",
'\000' <repeats 15 times>,
"x\345U\267\220\033F\267P8\376\267\030\273\207\267\000\000\000\000<\000\000\000\020\000\000\000\303h\265\277\274h\265\277\270h\265\277\261\241\377\267",
'\000' <repeats 12 times>,
"\026\000\000\000\364\037\000\270\240h\265\277\364\037\000\270\004\000\000\000\003\000\000\000\064J\265\277\345\242\377\267\b\000\000\000\020\000\000\000
\343\363\266\320h\265\277\233\031\377\267\064\343\363\266
\343\363\266\020", '\000' <repeats 11 times>...
        error = 0x0
        opt = <value optimized out>
        gui_check = <value optimized out>
        debug_enabled = <value optimized out>
        migration_failed = <value optimized out>
        active_accounts = <value optimized out>
        long_options = {{name = 0x8119eea "config", has_arg = 1, flag =
0x0,
            val = 99}, {name = 0x81075be "debug", has_arg = 0, flag = 0x0,
            val = 100}, {name = 0x811582e "force-online", has_arg = 0,
            flag = 0x0, val = 100}, {name = 0x810a04b "help", has_arg = 0,
            flag = 0x0, val = 104}, {name = 0x81155c4 "login", has_arg = 2,
            flag = 0x0, val = 108}, {name = 0x811583b "multiple",
            has_arg = 0, flag = 0x0, val = 109}, {name = 0x8115844
"nologin",
            has_arg = 0, flag = 0x0, val = 110}, {name = 0x8119ee0
"session",
            has_arg = 1, flag = 0x0, val = 115}, {name = 0x810d21b
"version",
            has_arg = 0, flag = 0x0, val = 118}, {name = 0x8119ef3
"display",
            has_arg = 1, flag = 0x0, val = 68}, {name = 0x811584c "sync",
            has_arg = 0, flag = 0x0, val = 83}, {name = 0x0, has_arg = 0,
            flag = 0x0, val = 0}}
A debugging session is active.

    Inferior 1 [process 5945] will be detached.

Quit anyway? (y or n) [answered Y; input not from terminal]


----------- .xsession-errors (66874 sec old) ---------------------
findServiceByDesktopPath: kded/networkstatus.desktop not found
findServiceByDesktopPath: kded/networkstatus.desktop not found
findServiceByDesktopPath: kded/networkstatus.desktop not found
findServiceByDesktopPath: kded/networkstatus.desktop not found
findServiceByDesktopPath: kded/networkstatus.desktop not found
findServiceByDesktopPath: kded/networkstatus.desktop not found
findServiceByDesktopPath: kded/networkstatus.desktop not found
findServiceByDesktopPath: kded/networkstatus.desktop not found
findServiceByDesktopPath: kded/networkstatus.desktop not found
findServiceByDesktopPath: kded/networkstatus.desktop not found
findServiceByDesktopPath: kded/networkstatus.desktop not found
findServiceByDesktopPath: kded/networkstatus.desktop not found
findServiceByDesktopPath: kded/networkstatus.desktop not found
...Too much output, ignoring rest...
--------------------------------------------------


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/2 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pidgin depends on:
ii  gconf2                 2.28.0-1          GNOME configuration
database syste
ii  libatk1.0-0            1.28.0-1          The ATK accessibility toolkit
ii  libc6                  2.10.1-5          GNU C Library: Shared libraries
ii  libcairo2              1.8.8-2           The Cairo 2D vector
graphics libra
ii  libdbus-1-3            1.2.16-2          simple interprocess
messaging syst
ii  libdbus-glib-1-2       0.82-2            simple interprocess
messaging syst
ii  libfontconfig1         2.6.0-4           generic font configuration
library
ii  libfreetype6           2.3.11-1          FreeType 2 font engine,
shared lib
ii  libglib2.0-0           2.22.2-2          The GLib library of C routines
ii  libgstreamer0.10-0     0.10.25-2         Core GStreamer libraries
and eleme
ii  libgtk2.0-0            2.18.3-1          The GTK+ graphical user
interface
ii  libgtkspell0           2.0.13-2          a spell-checking addon for
GTK's T
ii  libice6                2:1.0.5-1         X11 Inter-Client Exchange
library
ii  libpango1.0-0          1.26.0-1          Layout and rendering of
internatio
ii  libpurple0             2.6.3-1           multi-protocol instant
messaging l
ii  libsm6                 2:1.1.1-1         X11 Session Management library
ii  libstartup-notificatio 0.10-1            library for program launch
feedbac
ii  libx11-6               2:1.2.2-1         X11 client-side library
ii  libxml2                2.7.6.dfsg-1      GNOME XML library
ii  libxss1                1:1.1.3-1         X11 Screen Saver extension
library
ii  perl                   5.10.1-5          Larry Wall's Practical
Extraction
ii  perl-base [perlapi-5.1 5.10.1-5          minimal Perl system
ii  pidgin-data            2.6.3-1           multi-protocol instant
messaging c
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

Versions of packages pidgin recommends:
ii  gstreamer0.10-plugins-base    0.10.25-1  GStreamer plugins from the
"base"
ii  gstreamer0.10-plugins-good    0.10.16-5  GStreamer plugins from the
"good"

Versions of packages pidgin suggests:
ii  evolution-data-server        2.26.3-1+b1 evolution database backend
server
ii  gnome-panel                  2.26.3-1    launcher and docking
facility for
ii  libsqlite3-0                 3.6.19-3    SQLite 3 shared library

-- no debconf information






Bug reassigned from package 'pidgin' to 'pidgin-encryption'. Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Sun, 15 Nov 2009 20:06:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions pidgin/2.6.2-1. Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Sun, 15 Nov 2009 20:06:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions pidgin-encryption/3.0-4. Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Sun, 15 Nov 2009 20:06:06 GMT) Full text and rfc822 format available.

Added indication that 550476 affects pidgin Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Sun, 15 Nov 2009 20:06:07 GMT) Full text and rfc822 format available.

Forcibly Merged 550476 561235. Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Tue, 15 Dec 2009 16:51:08 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Leo 'costela' Antunes <costela@debian.org> to control@bugs.debian.org. (Wed, 23 Dec 2009 00:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Leo Costela <costela@debian.org>:
Bug#550476; Package pidgin-encryption. (Wed, 23 Dec 2009 00:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leo 'costela' Antunes <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to Leo Costela <costela@debian.org>. (Wed, 23 Dec 2009 00:24:05 GMT) Full text and rfc822 format available.

Message #32 received at 550476@bugs.debian.org (full text, mbox):

From: Leo 'costela' Antunes <costela@debian.org>
To: control@bugs.debian.org
Cc: 500551@bugs.debian.org, 550476@bugs.debian.org
Subject: RFHs
Date: Wed, 23 Dec 2009 01:13:46 +0100
tag 500551 help
tag 550476 help
--

I don't currently have time to handle these bugs. If someone wants to
step in, feel free!


Cheers

-- 
Leo "costela" Antunes
[insert a witty retort here]




Information forwarded to debian-bugs-dist@lists.debian.org, Leo Costela <costela@debian.org>:
Bug#550476; Package pidgin-encryption. (Tue, 16 Feb 2010 21:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans Bausewein" <hansbausewein@xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Leo Costela <costela@debian.org>. (Tue, 16 Feb 2010 21:15:05 GMT) Full text and rfc822 format available.

Message #37 received at 550476@bugs.debian.org (full text, mbox):

From: "Hans Bausewein" <hansbausewein@xs4all.nl>
To: 550476@bugs.debian.org
Subject: pidgin-encryption/3.0-6 crash
Date: Tue, 16 Feb 2010 22:08:00 +0100
[Message part 1 (text/plain, inline)]
pidgin-encryption/3.0-6 still crashes when an encrypted chat session
window is open on application shutdown.

As pointed out by Paul Aurich ("darkrain") in
  https://sourceforge.net/tracker/?func=detail&atid=485253&aid=2934709&group_id=57740

this is caused by the destroy callback done after the hash tables have
been deleted.

Call Pidgin with "-d" so it logs debug messages to stdout.
In the 3.0-6 version it logs as the last message:
(21:22:58) pidgin-encryption: Got callback for destroyed window 0x1faf410
0x2098110

Then it apparently crashes.

See attached diff for the fix. (mostly from Paul Aurich)

Remove the "Remove the destroy callbacks" part and it logs both destroy
callbacks. (i.e. twice the message)
Here it does not crash, because I test whether the hash tables are not null.


Hans

(credits to Paul Aurich. He found it)
[pidgin-encryption-3.0-7.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Leo Costela <costela@debian.org>:
Bug#550476; Package pidgin-encryption. (Wed, 17 Feb 2010 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans Bausewein" <hansbausewein@xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Leo Costela <costela@debian.org>. (Wed, 17 Feb 2010 21:27:03 GMT) Full text and rfc822 format available.

Message #42 received at 550476@bugs.debian.org (full text, mbox):

From: "Hans Bausewein" <hansbausewein@xs4all.nl>
To: 550476@bugs.debian.org
Subject: Bug#550476: better patch
Date: Wed, 17 Feb 2010 22:22:32 +0100
[Message part 1 (text/plain, inline)]
The updated attached patch makes "remove_txbuttons_cb()" and
"remove_rx_icon_cb()" safer: they can be called any number of times.
Should not make a real difference, when the call-back functions are called
once or not at all (because the callbacks have been removed).

To apply to Debian/testing (squeeze):

For the impatient the dummy install guide:

Copy the attached "pidgin-encryption-3.0-7.diff" to /tmp

cd /tmp
apt-get source pidgin-encryption
cd pidgin-encryption-3.0/
patch -p1 <../pidgin-encryption-3.0-7.diff
dpkg-buildpackage


and as root "dpkg -i [the new package in /tmp]"


Hans
[pidgin-encryption-3.0-7.diff (text/x-diff, attachment)]

Reply sent to Leo Costela <costela@debian.org>:
You have taken responsibility. (Sun, 02 May 2010 03:39:03 GMT) Full text and rfc822 format available.

Notification sent to Alexander Vlasov <sachavav@tut.by>:
Bug acknowledged by developer. (Sun, 02 May 2010 03:39:03 GMT) Full text and rfc822 format available.

Message #47 received at 550476-close@bugs.debian.org (full text, mbox):

From: Leo Costela <costela@debian.org>
To: 550476-close@bugs.debian.org
Subject: Bug#550476: fixed in pidgin-encryption 3.1-1
Date: Sun, 02 May 2010 03:35:37 +0000
Source: pidgin-encryption
Source-Version: 3.1-1

We believe that the bug you reported is fixed in the latest version of
pidgin-encryption, which is due to be installed in the Debian FTP archive:

pidgin-encryption_3.1-1.debian.tar.gz
  to main/p/pidgin-encryption/pidgin-encryption_3.1-1.debian.tar.gz
pidgin-encryption_3.1-1.dsc
  to main/p/pidgin-encryption/pidgin-encryption_3.1-1.dsc
pidgin-encryption_3.1-1_amd64.deb
  to main/p/pidgin-encryption/pidgin-encryption_3.1-1_amd64.deb
pidgin-encryption_3.1.orig.tar.gz
  to main/p/pidgin-encryption/pidgin-encryption_3.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 550476@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Leo Costela <costela@debian.org> (supplier of updated pidgin-encryption package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 02 May 2010 03:12:08 +0200
Source: pidgin-encryption
Binary: pidgin-encryption
Architecture: source amd64
Version: 3.1-1
Distribution: unstable
Urgency: low
Maintainer: Leo Costela <costela@debian.org>
Changed-By: Leo Costela <costela@debian.org>
Description: 
 pidgin-encryption - pidgin plugin that provides transparent encryption
Closes: 550476 564712
Changes: 
 pidgin-encryption (3.1-1) unstable; urgency=low
 .
   * new upstream release
     - Fix for crash on exit (closes: #550476)
   * debian/patches:
     - drop log_crash.patch (added upstream)
     - add libnss.patch (closes: #564712)
   * debian/control: bump policy to 3.8.4 (no changes)
Checksums-Sha1: 
 396d440af5d0bcfaa98e4594a8df0b68e68f5c9b 1166 pidgin-encryption_3.1-1.dsc
 cfbf86840eeaabd246abad62b721b7dded4a18ba 604129 pidgin-encryption_3.1.orig.tar.gz
 a66f076c793fc062730952479b5abe32e94d9503 4774 pidgin-encryption_3.1-1.debian.tar.gz
 ce7b7e99bbebc09501d6262e67ecf808d791e293 127976 pidgin-encryption_3.1-1_amd64.deb
Checksums-Sha256: 
 0a2177413890c07b64135677bb51faedb41b7bec0cc5f5310797b02a7b676e66 1166 pidgin-encryption_3.1-1.dsc
 940cdafdce59ece60193626ed04ebf94e2671df184b88c9ff1792e9e0f99cdab 604129 pidgin-encryption_3.1.orig.tar.gz
 61c1b4a8c8e8d125d010436ce0477d64565514fa83cd03764dcad3f5a27370d6 4774 pidgin-encryption_3.1-1.debian.tar.gz
 08ecc818c8e32d4d1d27feea39323cfc9e9b3e8358b79a8acc6d6f2cc1f73e2d 127976 pidgin-encryption_3.1-1_amd64.deb
Files: 
 652fbcb4073c83b31a62b08e209a3129 1166 net optional pidgin-encryption_3.1-1.dsc
 d839eec602c21f913b32b742dc512f4b 604129 net optional pidgin-encryption_3.1.orig.tar.gz
 1d25cbb13d6b600e362f0e35d24d872e 4774 net optional pidgin-encryption_3.1-1.debian.tar.gz
 2236778051634d1a0a00f6ff6d4adf6b 127976 net optional pidgin-encryption_3.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvc3+AACgkQImLTb3rflGb7rwCg565fWc4OUkOFwL8V1nRi8JGG
N28AoN0cqordS6DuLaeWx3AQnpbAl+mU
=h+ol
-----END PGP SIGNATURE-----





Reply sent to Leo Costela <costela@debian.org>:
You have taken responsibility. (Sun, 02 May 2010 03:39:04 GMT) Full text and rfc822 format available.

Notification sent to Markus Rechberg <m.rechberg@gmx.net>:
Bug acknowledged by developer. (Sun, 02 May 2010 03:39:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Jul 2010 07:35:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:48:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.